java.lang

## Class Character.UnicodeBlock

- java.lang.Object
- - java.lang.Character.Subset
  - - java.lang.Character.UnicodeBlock

Enclosing class:
  Character

    public static final class Character.UnicodeBlock
    extends Character.Subset

A family of character subsets representing the character blocks in the Unicode specification. Character blocks generally define characters used for a specific script or purpose. A character is contained by at most one Unicode block.

Since:
  1.2

### Field Summary

Fields
`static Character.UnicodeBlock` `AEGEAN_NUMBERS` Constant for the "Aegean Numbers" Unicode character block.
`static Character.UnicodeBlock` `ALPHABETIC_PRESENTATION_FORMS` Constant for the "Alphabetic Presentation Forms" Unicode character block.
`static Character.UnicodeBlock` `ARABIC` Constant for the "Arabic" Unicode character block.
`static Character.UnicodeBlock` `ARABIC_PRESENTATION_FORMS_A` Constant for the "Arabic Presentation Forms-A" Unicode character block.
`static Character.UnicodeBlock` `ARABIC_PRESENTATION_FORMS_B` Constant for the "Arabic Presentation Forms-B" Unicode character block.
`static Character.UnicodeBlock` `ARMENIAN` Constant for the "Armenian" Unicode character block.
`static Character.UnicodeBlock` `ARROWS` Constant for the "Arrows" Unicode character block.
`static Character.UnicodeBlock` `BASIC_LATIN` Constant for the "Basic Latin" Unicode character block.
`static Character.UnicodeBlock` `BENGALI` Constant for the "Bengali" Unicode character block.
`static Character.UnicodeBlock` `BLOCK_ELEMENTS` Constant for the "Block Elements" Unicode character block.
`static Character.UnicodeBlock` `BOPOMOFO` Constant for the "Bopomofo" Unicode character block.
`static Character.UnicodeBlock` `BOPOMOFO_EXTENDED` Constant for the "Bopomofo Extended" Unicode character block.
`static Character.UnicodeBlock` `BOX_DRAWING` Constant for the "Box Drawing" Unicode character block.
`static Character.UnicodeBlock` `BRAILLE_PATTERNS` Constant for the "Braille Patterns" Unicode character block.
`static Character.UnicodeBlock` `BUHID` Constant for the "Buhid" Unicode character block.
`static Character.UnicodeBlock` `BYZANTINE_MUSICAL_SYMBOLS` Constant for the "Byzantine Musical Symbols" Unicode character block.
`static Character.UnicodeBlock` `CHEROKEE` Constant for the "Cherokee" Unicode character block.
`static Character.UnicodeBlock` `CJK_COMPATIBILITY` Constant for the "CJK Compatibility" Unicode character block.
`static Character.UnicodeBlock` `CJK_COMPATIBILITY_FORMS` Constant for the "CJK Compatibility Forms" Unicode character block.
`static Character.UnicodeBlock` `CJK_COMPATIBILITY_IDEOGRAPHS` Constant for the "CJK Compatibility Ideographs" Unicode character block.
`static Character.UnicodeBlock` `CJK_COMPATIBILITY_IDEOGRAPHS_SUPPLEMENT` Constant for the "CJK Compatibility Ideographs Supplement" Unicode character block.
`static Character.UnicodeBlock` `CJK_RADICALS_SUPPLEMENT` Constant for the "CJK Radicals Supplement" Unicode character block.
`static Character.UnicodeBlock` `CJK_SYMBOLS_AND_PUNCTUATION` Constant for the "CJK Symbols and Punctuation" Unicode character block.
`static Character.UnicodeBlock` `CJK_UNIFIED_IDEOGRAPHS` Constant for the "CJK Unified Ideographs" Unicode character block.
`static Character.UnicodeBlock` `CJK_UNIFIED_IDEOGRAPHS_EXTENSION_A` Constant for the "CJK Unified Ideographs Extension A" Unicode character block.
`static Character.UnicodeBlock` `CJK_UNIFIED_IDEOGRAPHS_EXTENSION_B` Constant for the "CJK Unified Ideographs Extension B" Unicode character block.
`static Character.UnicodeBlock` `COMBINING_DIACRITICAL_MARKS` Constant for the "Combining Diacritical Marks" Unicode character block.
`static Character.UnicodeBlock` `COMBINING_HALF_MARKS` Constant for the "Combining Half Marks" Unicode character block.
`static Character.UnicodeBlock` `COMBINING_MARKS_FOR_SYMBOLS` Constant for the "Combining Diacritical Marks for Symbols" Unicode character block.
`static Character.UnicodeBlock` `CONTROL_PICTURES` Constant for the "Control Pictures" Unicode character block.
`static Character.UnicodeBlock` `CURRENCY_SYMBOLS` Constant for the "Currency Symbols" Unicode character block.
`static Character.UnicodeBlock` `CYPRIOT_SYLLABARY` Constant for the "Cypriot Syllabary" Unicode character block.
`static Character.UnicodeBlock` `CYRILLIC` Constant for the "Cyrillic" Unicode character block.
`static Character.UnicodeBlock` `CYRILLIC_SUPPLEMENTARY` Constant for the "Cyrillic Supplementary" Unicode character block.
`static Character.UnicodeBlock` `DESERET` Constant for the "Deseret" Unicode character block.
`static Character.UnicodeBlock` `DEVANAGARI` Constant for the "Devanagari" Unicode character block.
`static Character.UnicodeBlock` `DINGBATS` Constant for the "Dingbats" Unicode character block.
`static Character.UnicodeBlock` `ENCLOSED_ALPHANUMERICS` Constant for the "Enclosed Alphanumerics" Unicode character block.
`static Character.UnicodeBlock` `ENCLOSED_CJK_LETTERS_AND_MONTHS` Constant for the "Enclosed CJK Letters and Months" Unicode character block.
`static Character.UnicodeBlock` `ETHIOPIC` Constant for the "Ethiopic" Unicode character block.
`static Character.UnicodeBlock` `GENERAL_PUNCTUATION` Constant for the "General Punctuation" Unicode character block.
`static Character.UnicodeBlock` `GEOMETRIC_SHAPES` Constant for the "Geometric Shapes" Unicode character block.
`static Character.UnicodeBlock` `GEORGIAN` Constant for the "Georgian" Unicode character block.
`static Character.UnicodeBlock` `GOTHIC` Constant for the "Gothic" Unicode character block.
`static Character.UnicodeBlock` `GREEK` Constant for the "Greek and Coptic" Unicode character block.
`static Character.UnicodeBlock` `GREEK_EXTENDED` Constant for the "Greek Extended" Unicode character block.
`static Character.UnicodeBlock` `GUJARATI` Constant for the "Gujarati" Unicode character block.
`static Character.UnicodeBlock` `GURMUKHI` Constant for the "Gurmukhi" Unicode character block.
`static Character.UnicodeBlock` `HALFWIDTH_AND_FULLWIDTH_FORMS` Constant for the "Halfwidth and Fullwidth Forms" Unicode character block.
`static Character.UnicodeBlock` `HANGUL_COMPATIBILITY_JAMO` Constant for the "Hangul Compatibility Jamo" Unicode character block.
`static Character.UnicodeBlock` `HANGUL_JAMO` Constant for the "Hangul Jamo" Unicode character block.
`static Character.UnicodeBlock` `HANGUL_SYLLABLES` Constant for the "Hangul Syllables" Unicode character block.
`static Character.UnicodeBlock` `HANUNOO` Constant for the "Hanunoo" Unicode character block.
`static Character.UnicodeBlock` `HEBREW` Constant for the "Hebrew" Unicode character block.
`static Character.UnicodeBlock` `HIGH_PRIVATE_USE_SURROGATES` Constant for the "High Private Use Surrogates" Unicode character block.
`static Character.UnicodeBlock` `HIGH_SURROGATES` Constant for the "High Surrogates" Unicode character block.
`static Character.UnicodeBlock` `HIRAGANA` Constant for the "Hiragana" Unicode character block.
`static Character.UnicodeBlock` `IDEOGRAPHIC_DESCRIPTION_CHARACTERS` Constant for the "Ideographic Description Characters" Unicode character block.
`static Character.UnicodeBlock` `IPA_EXTENSIONS` Constant for the "IPA Extensions" Unicode character block.
`static Character.UnicodeBlock` `KANBUN` Constant for the "Kanbun" Unicode character block.
`static Character.UnicodeBlock` `KANGXI_RADICALS` Constant for the "Kangxi Radicals" Unicode character block.
`static Character.UnicodeBlock` `KANNADA` Constant for the "Kannada" Unicode character block.
`static Character.UnicodeBlock` `KATAKANA` Constant for the "Katakana" Unicode character block.
`static Character.UnicodeBlock` `KATAKANA_PHONETIC_EXTENSIONS` Constant for the "Katakana Phonetic Extensions" Unicode character block.
`static Character.UnicodeBlock` `KHMER` Constant for the "Khmer" Unicode character block.
`static Character.UnicodeBlock` `KHMER_SYMBOLS` Constant for the "Khmer Symbols" Unicode character block.
`static Character.UnicodeBlock` `LAO` Constant for the "Lao" Unicode character block.
`static Character.UnicodeBlock` `LATIN_1_SUPPLEMENT` Constant for the "Latin-1 Supplement" Unicode character block.
`static Character.UnicodeBlock` `LATIN_EXTENDED_A` Constant for the "Latin Extended-A" Unicode character block.
`static Character.UnicodeBlock` `LATIN_EXTENDED_ADDITIONAL` Constant for the "Latin Extended Additional" Unicode character block.
`static Character.UnicodeBlock` `LATIN_EXTENDED_B` Constant for the "Latin Extended-B" Unicode character block.
`static Character.UnicodeBlock` `LETTERLIKE_SYMBOLS` Constant for the "Letterlike Symbols" Unicode character block.
`static Character.UnicodeBlock` `LIMBU` Constant for the "Limbu" Unicode character block.
`static Character.UnicodeBlock` `LINEAR_B_IDEOGRAMS` Constant for the "Linear B Ideograms" Unicode character block.
`static Character.UnicodeBlock` `LINEAR_B_SYLLABARY` Constant for the "Linear B Syllabary" Unicode character block.
`static Character.UnicodeBlock` `LOW_SURROGATES` Constant for the "Low Surrogates" Unicode character block.
`static Character.UnicodeBlock` `MALAYALAM` Constant for the "Malayalam" Unicode character block.
`static Character.UnicodeBlock` `MATHEMATICAL_ALPHANUMERIC_SYMBOLS` Constant for the "Mathematical Alphanumeric Symbols" Unicode character block.
`static Character.UnicodeBlock` `MATHEMATICAL_OPERATORS` Constant for the "Mathematical Operators" Unicode character block.
`static Character.UnicodeBlock` `MISCELLANEOUS_MATHEMATICAL_SYMBOLS_A` Constant for the "Miscellaneous Mathematical Symbols-A" Unicode character block.
`static Character.UnicodeBlock` `MISCELLANEOUS_MATHEMATICAL_SYMBOLS_B` Constant for the "Miscellaneous Mathematical Symbols-B" Unicode character block.
`static Character.UnicodeBlock` `MISCELLANEOUS_SYMBOLS` Constant for the "Miscellaneous Symbols" Unicode character block.
`static Character.UnicodeBlock` `MISCELLANEOUS_SYMBOLS_AND_ARROWS` Constant for the "Miscellaneous Symbols and Arrows" Unicode character block.
`static Character.UnicodeBlock` `MISCELLANEOUS_TECHNICAL` Constant for the "Miscellaneous Technical" Unicode character block.
`static Character.UnicodeBlock` `MONGOLIAN` Constant for the "Mongolian" Unicode character block.
`static Character.UnicodeBlock` `MUSICAL_SYMBOLS` Constant for the "Musical Symbols" Unicode character block.
`static Character.UnicodeBlock` `MYANMAR` Constant for the "Myanmar" Unicode character block.
`static Character.UnicodeBlock` `NUMBER_FORMS` Constant for the "Number Forms" Unicode character block.
`static Character.UnicodeBlock` `OGHAM` Constant for the "Ogham" Unicode character block.
`static Character.UnicodeBlock` `OLD_ITALIC` Constant for the "Old Italic" Unicode character block.
`static Character.UnicodeBlock` `OPTICAL_CHARACTER_RECOGNITION` Constant for the "Optical Character Recognition" Unicode character block.
`static Character.UnicodeBlock` `ORIYA` Constant for the "Oriya" Unicode character block.
`static Character.UnicodeBlock` `OSMANYA` Constant for the "Osmanya" Unicode character block.
`static Character.UnicodeBlock` `PHONETIC_EXTENSIONS` Constant for the "Phonetic Extensions" Unicode character block.
`static Character.UnicodeBlock` `PRIVATE_USE_AREA` Constant for the "Private Use Area" Unicode character block.
`static Character.UnicodeBlock` `RUNIC` Constant for the "Runic" Unicode character block.
`static Character.UnicodeBlock` `SHAVIAN` Constant for the "Shavian" Unicode character block.
`static Character.UnicodeBlock` `SINHALA` Constant for the "Sinhala" Unicode character block.
`static Character.UnicodeBlock` `SMALL_FORM_VARIANTS` Constant for the "Small Form Variants" Unicode character block.
`static Character.UnicodeBlock` `SPACING_MODIFIER_LETTERS` Constant for the "Spacing Modifier Letters" Unicode character block.
`static Character.UnicodeBlock` `SPECIALS` Constant for the "Specials" Unicode character block.
`static Character.UnicodeBlock` `SUPERSCRIPTS_AND_SUBSCRIPTS` Constant for the "Superscripts and Subscripts" Unicode character block.
`static Character.UnicodeBlock` `SUPPLEMENTAL_ARROWS_A` Constant for the "Supplemental Arrows-A" Unicode character block.
`static Character.UnicodeBlock` `SUPPLEMENTAL_ARROWS_B` Constant for the "Supplemental Arrows-B" Unicode character block.
`static Character.UnicodeBlock` `SUPPLEMENTAL_MATHEMATICAL_OPERATORS` Constant for the "Supplemental Mathematical Operators" Unicode character block.
`static Character.UnicodeBlock` `SUPPLEMENTARY_PRIVATE_USE_AREA_A` Constant for the "Supplementary Private Use Area-A" Unicode character block.
`static Character.UnicodeBlock` `SUPPLEMENTARY_PRIVATE_USE_AREA_B` Constant for the "Supplementary Private Use Area-B" Unicode character block.
`static Character.UnicodeBlock` `SURROGATES_AREA` Deprecated. As of J2SE 5, use `HIGH_SURROGATES`, `HIGH_PRIVATE_USE_SURROGATES`, and `LOW_SURROGATES`. These new constants match the block definitions of the Unicode Standard. The `of(char)` and `of(int)` methods return the new constants, not SURROGATES_AREA.
`static Character.UnicodeBlock` `SYRIAC` Constant for the "Syriac" Unicode character block.
`static Character.UnicodeBlock` `TAGALOG` Constant for the "Tagalog" Unicode character block.
`static Character.UnicodeBlock` `TAGBANWA` Constant for the "Tagbanwa" Unicode character block.
`static Character.UnicodeBlock` `TAGS` Constant for the "Tags" Unicode character block.
`static Character.UnicodeBlock` `TAI_LE` Constant for the "Tai Le" Unicode character block.
`static Character.UnicodeBlock` `TAI_XUAN_JING_SYMBOLS` Constant for the "Tai Xuan Jing Symbols" Unicode character block.
`static Character.UnicodeBlock` `TAMIL` Constant for the "Tamil" Unicode character block.
`static Character.UnicodeBlock` `TELUGU` Constant for the "Telugu" Unicode character block.
`static Character.UnicodeBlock` `THAANA` Constant for the "Thaana" Unicode character block.
`static Character.UnicodeBlock` `THAI` Constant for the "Thai" Unicode character block.
`static Character.UnicodeBlock` `TIBETAN` Constant for the "Tibetan" Unicode character block.
`static Character.UnicodeBlock` `UGARITIC` Constant for the "Ugaritic" Unicode character block.
`static Character.UnicodeBlock` `UNIFIED_CANADIAN_ABORIGINAL_SYLLABICS` Constant for the "Unified Canadian Aboriginal Syllabics" Unicode character block.
`static Character.UnicodeBlock` `VARIATION_SELECTORS` Constant for the "Variation Selectors" Unicode character block.
`static Character.UnicodeBlock` `VARIATION_SELECTORS_SUPPLEMENT` Constant for the "Variation Selectors Supplement" Unicode character block.
`static Character.UnicodeBlock` `YI_RADICALS` Constant for the "Yi Radicals" Unicode character block.
`static Character.UnicodeBlock` `YI_SYLLABLES` Constant for the "Yi Syllables" Unicode character block.
`static Character.UnicodeBlock` `YIJING_HEXAGRAM_SYMBOLS` Constant for the "Yijing Hexagram Symbols" Unicode character block.

### Method Summary

Methods
`static Character.UnicodeBlock` `forName(String blockName)` Returns the UnicodeBlock with the given name.
`static Character.UnicodeBlock` `of(char c)` Returns the object representing the Unicode block containing the given character, or `null` if the character is not a member of a defined block.
`static Character.UnicodeBlock` `of(int codePoint)` Returns the object representing the Unicode block containing the given character (Unicode code point), or `null` if the character is not a member of a defined block.

### Methods inherited from class java.lang.Character.Subset

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BASIC_LATIN

    public static final Character.UnicodeBlock BASIC_LATIN

Constant for the "Basic Latin" Unicode character block.

Since:
  1.2

#### LATIN_1_SUPPLEMENT

    public static final Character.UnicodeBlock LATIN_1_SUPPLEMENT

Constant for the "Latin-1 Supplement" Unicode character block.

Since:
  1.2

#### LATIN_EXTENDED_A

    public static final Character.UnicodeBlock LATIN_EXTENDED_A

Constant for the "Latin Extended-A" Unicode character block.

Since:
  1.2

#### LATIN_EXTENDED_B

    public static final Character.UnicodeBlock LATIN_EXTENDED_B

Constant for the "Latin Extended-B" Unicode character block.

Since:
  1.2

#### IPA_EXTENSIONS

    public static final Character.UnicodeBlock IPA_EXTENSIONS

Constant for the "IPA Extensions" Unicode character block.

Since:
  1.2

#### SPACING_MODIFIER_LETTERS

    public static final Character.UnicodeBlock SPACING_MODIFIER_LETTERS

Constant for the "Spacing Modifier Letters" Unicode character block.

Since:
  1.2

#### COMBINING_DIACRITICAL_MARKS

    public static final Character.UnicodeBlock COMBINING_DIACRITICAL_MARKS

Constant for the "Combining Diacritical Marks" Unicode character block.

Since:
  1.2

#### GREEK

    public static final Character.UnicodeBlock GREEK

Constant for the "Greek and Coptic" Unicode character block.

This block was previously known as the "Greek" block.

Since:
  1.2

#### CYRILLIC

    public static final Character.UnicodeBlock CYRILLIC

Constant for the "Cyrillic" Unicode character block.

Since:
  1.2

#### ARMENIAN

    public static final Character.UnicodeBlock ARMENIAN

Constant for the "Armenian" Unicode character block.

Since:
  1.2

#### HEBREW

    public static final Character.UnicodeBlock HEBREW

Constant for the "Hebrew" Unicode character block.

Since:
  1.2

#### ARABIC

    public static final Character.UnicodeBlock ARABIC

Constant for the "Arabic" Unicode character block.

Since:
  1.2

#### DEVANAGARI

    public static final Character.UnicodeBlock DEVANAGARI

Constant for the "Devanagari" Unicode character block.

Since:
  1.2

#### BENGALI

    public static final Character.UnicodeBlock BENGALI

Constant for the "Bengali" Unicode character block.

Since:
  1.2

#### GURMUKHI

    public static final Character.UnicodeBlock GURMUKHI

Constant for the "Gurmukhi" Unicode character block.

Since:
  1.2

#### GUJARATI

    public static final Character.UnicodeBlock GUJARATI

Constant for the "Gujarati" Unicode character block.

Since:
  1.2

#### ORIYA

    public static final Character.UnicodeBlock ORIYA

Constant for the "Oriya" Unicode character block.

Since:
  1.2

#### TAMIL

    public static final Character.UnicodeBlock TAMIL

Constant for the "Tamil" Unicode character block.

Since:
  1.2

#### TELUGU

    public static final Character.UnicodeBlock TELUGU

Constant for the "Telugu" Unicode character block.

Since:
  1.2

#### KANNADA

    public static final Character.UnicodeBlock KANNADA

Constant for the "Kannada" Unicode character block.

Since:
  1.2

#### MALAYALAM

    public static final Character.UnicodeBlock MALAYALAM

Constant for the "Malayalam" Unicode character block.

Since:
  1.2

#### THAI

    public static final Character.UnicodeBlock THAI

Constant for the "Thai" Unicode character block.

Since:
  1.2

#### LAO

    public static final Character.UnicodeBlock LAO

Constant for the "Lao" Unicode character block.

Since:
  1.2

#### TIBETAN

    public static final Character.UnicodeBlock TIBETAN

Constant for the "Tibetan" Unicode character block.

Since:
  1.2

#### GEORGIAN

    public static final Character.UnicodeBlock GEORGIAN

Constant for the "Georgian" Unicode character block.

Since:
  1.2

#### HANGUL_JAMO

    public static final Character.UnicodeBlock HANGUL_JAMO

Constant for the "Hangul Jamo" Unicode character block.

Since:
  1.2

#### LATIN_EXTENDED_ADDITIONAL

    public static final Character.UnicodeBlock LATIN_EXTENDED_ADDITIONAL

Constant for the "Latin Extended Additional" Unicode character block.

Since:
  1.2

#### GREEK_EXTENDED

    public static final Character.UnicodeBlock GREEK_EXTENDED

Constant for the "Greek Extended" Unicode character block.

Since:
  1.2

#### GENERAL_PUNCTUATION

    public static final Character.UnicodeBlock GENERAL_PUNCTUATION

Constant for the "General Punctuation" Unicode character block.

Since:
  1.2

#### SUPERSCRIPTS_AND_SUBSCRIPTS

    public static final Character.UnicodeBlock SUPERSCRIPTS_AND_SUBSCRIPTS

Constant for the "Superscripts and Subscripts" Unicode character block.

Since:
  1.2

#### CURRENCY_SYMBOLS

    public static final Character.UnicodeBlock CURRENCY_SYMBOLS

Constant for the "Currency Symbols" Unicode character block.

Since:
  1.2

#### COMBINING_MARKS_FOR_SYMBOLS

    public static final Character.UnicodeBlock COMBINING_MARKS_FOR_SYMBOLS

Constant for the "Combining Diacritical Marks for Symbols" Unicode character block.

This block was previously known as "Combining Marks for Symbols".

Since:
  1.2

#### LETTERLIKE_SYMBOLS

    public static final Character.UnicodeBlock LETTERLIKE_SYMBOLS

Constant for the "Letterlike Symbols" Unicode character block.

Since:
  1.2

#### NUMBER_FORMS

    public static final Character.UnicodeBlock NUMBER_FORMS

Constant for the "Number Forms" Unicode character block.

Since:
  1.2

#### ARROWS

    public static final Character.UnicodeBlock ARROWS

Constant for the "Arrows" Unicode character block.

Since:
  1.2

#### MATHEMATICAL_OPERATORS

    public static final Character.UnicodeBlock MATHEMATICAL_OPERATORS

Constant for the "Mathematical Operators" Unicode character block.

Since:
  1.2

#### MISCELLANEOUS_TECHNICAL

    public static final Character.UnicodeBlock MISCELLANEOUS_TECHNICAL

Constant for the "Miscellaneous Technical" Unicode character block.

Since:
  1.2

#### CONTROL_PICTURES

    public static final Character.UnicodeBlock CONTROL_PICTURES

Constant for the "Control Pictures" Unicode character block.

Since:
  1.2

#### OPTICAL_CHARACTER_RECOGNITION

    public static final Character.UnicodeBlock OPTICAL_CHARACTER_RECOGNITION

Constant for the "Optical Character Recognition" Unicode character block.

Since:
  1.2

#### ENCLOSED_ALPHANUMERICS

    public static final Character.UnicodeBlock ENCLOSED_ALPHANUMERICS

Constant for the "Enclosed Alphanumerics" Unicode character block.

Since:
  1.2

#### BOX_DRAWING

    public static final Character.UnicodeBlock BOX_DRAWING

Constant for the "Box Drawing" Unicode character block.

Since:
  1.2

#### BLOCK_ELEMENTS

    public static final Character.UnicodeBlock BLOCK_ELEMENTS

Constant for the "Block Elements" Unicode character block.

Since:
  1.2

#### GEOMETRIC_SHAPES

    public static final Character.UnicodeBlock GEOMETRIC_SHAPES

Constant for the "Geometric Shapes" Unicode character block.

Since:
  1.2

#### MISCELLANEOUS_SYMBOLS

    public static final Character.UnicodeBlock MISCELLANEOUS_SYMBOLS

Constant for the "Miscellaneous Symbols" Unicode character block.

Since:
  1.2

#### DINGBATS

    public static final Character.UnicodeBlock DINGBATS

Constant for the "Dingbats" Unicode character block.

Since:
  1.2

#### CJK_SYMBOLS_AND_PUNCTUATION

    public static final Character.UnicodeBlock CJK_SYMBOLS_AND_PUNCTUATION

Constant for the "CJK Symbols and Punctuation" Unicode character block.

Since:
  1.2

#### HIRAGANA

    public static final Character.UnicodeBlock HIRAGANA

Constant for the "Hiragana" Unicode character block.

Since:
  1.2

#### KATAKANA

    public static final Character.UnicodeBlock KATAKANA

Constant for the "Katakana" Unicode character block.

Since:
  1.2

#### BOPOMOFO

    public static final Character.UnicodeBlock BOPOMOFO

Constant for the "Bopomofo" Unicode character block.

Since:
  1.2

#### HANGUL_COMPATIBILITY_JAMO

    public static final Character.UnicodeBlock HANGUL_COMPATIBILITY_JAMO

Constant for the "Hangul Compatibility Jamo" Unicode character block.

Since:
  1.2

#### KANBUN

    public static final Character.UnicodeBlock KANBUN

Constant for the "Kanbun" Unicode character block.

Since:
  1.2

#### ENCLOSED_CJK_LETTERS_AND_MONTHS

    public static final Character.UnicodeBlock ENCLOSED_CJK_LETTERS_AND_MONTHS

Constant for the "Enclosed CJK Letters and Months" Unicode character block.

Since:
  1.2

#### CJK_COMPATIBILITY

    public static final Character.UnicodeBlock CJK_COMPATIBILITY

Constant for the "CJK Compatibility" Unicode character block.

Since:
  1.2

#### CJK_UNIFIED_IDEOGRAPHS

    public static final Character.UnicodeBlock CJK_UNIFIED_IDEOGRAPHS

Constant for the "CJK Unified Ideographs" Unicode character block.

Since:
  1.2

#### HANGUL_SYLLABLES

    public static final Character.UnicodeBlock HANGUL_SYLLABLES

Constant for the "Hangul Syllables" Unicode character block.

Since:
  1.2

#### PRIVATE_USE_AREA

    public static final Character.UnicodeBlock PRIVATE_USE_AREA

Constant for the "Private Use Area" Unicode character block.

Since:
  1.2

#### CJK_COMPATIBILITY_IDEOGRAPHS

    public static final Character.UnicodeBlock CJK_COMPATIBILITY_IDEOGRAPHS

Constant for the "CJK Compatibility Ideographs" Unicode character block.

Since:
  1.2

#### ALPHABETIC_PRESENTATION_FORMS

    public static final Character.UnicodeBlock ALPHABETIC_PRESENTATION_FORMS

Constant for the "Alphabetic Presentation Forms" Unicode character block.

Since:
  1.2

#### ARABIC_PRESENTATION_FORMS_A

    public static final Character.UnicodeBlock ARABIC_PRESENTATION_FORMS_A

Constant for the "Arabic Presentation Forms-A" Unicode character block.

Since:
  1.2

#### COMBINING_HALF_MARKS

    public static final Character.UnicodeBlock COMBINING_HALF_MARKS

Constant for the "Combining Half Marks" Unicode character block.

Since:
  1.2

#### CJK_COMPATIBILITY_FORMS

    public static final Character.UnicodeBlock CJK_COMPATIBILITY_FORMS

Constant for the "CJK Compatibility Forms" Unicode character block.

Since:
  1.2

#### SMALL_FORM_VARIANTS

    public static final Character.UnicodeBlock SMALL_FORM_VARIANTS

Constant for the "Small Form Variants" Unicode character block.

Since:
  1.2

#### ARABIC_PRESENTATION_FORMS_B

    public static final Character.UnicodeBlock ARABIC_PRESENTATION_FORMS_B

Constant for the "Arabic Presentation Forms-B" Unicode character block.

Since:
  1.2

#### HALFWIDTH_AND_FULLWIDTH_FORMS

    public static final Character.UnicodeBlock HALFWIDTH_AND_FULLWIDTH_FORMS

Constant for the "Halfwidth and Fullwidth Forms" Unicode character block.

Since:
  1.2

#### SPECIALS

    public static final Character.UnicodeBlock SPECIALS

Constant for the "Specials" Unicode character block.

Since:
  1.2

#### SURROGATES_AREA

    @Deprecated
    public static final Character.UnicodeBlock SURROGATES_AREA

Deprecated. As of J2SE 5, use `HIGH_SURROGATES`, `HIGH_PRIVATE_USE_SURROGATES`, and `LOW_SURROGATES`. These new constants match the block definitions of the Unicode Standard. The `of(char)` and `of(int)` methods return the new constants, not SURROGATES_AREA.

#### SYRIAC

    public static final Character.UnicodeBlock SYRIAC

Constant for the "Syriac" Unicode character block.

Since:
  1.4

#### THAANA

    public static final Character.UnicodeBlock THAANA

Constant for the "Thaana" Unicode character block.

Since:
  1.4

#### SINHALA

    public static final Character.UnicodeBlock SINHALA

Constant for the "Sinhala" Unicode character block.

Since:
  1.4

#### MYANMAR

    public static final Character.UnicodeBlock MYANMAR

Constant for the "Myanmar" Unicode character block.

Since:
  1.4

#### ETHIOPIC

    public static final Character.UnicodeBlock ETHIOPIC

Constant for the "Ethiopic" Unicode character block.

Since:
  1.4

#### CHEROKEE

    public static final Character.UnicodeBlock CHEROKEE

Constant for the "Cherokee" Unicode character block.

Since:
  1.4

#### UNIFIED_CANADIAN_ABORIGINAL_SYLLABICS

    public static final Character.UnicodeBlock UNIFIED_CANADIAN_ABORIGINAL_SYLLABICS

Constant for the "Unified Canadian Aboriginal Syllabics" Unicode character block.

Since:
  1.4

#### OGHAM

    public static final Character.UnicodeBlock OGHAM

Constant for the "Ogham" Unicode character block.

Since:
  1.4

#### RUNIC

    public static final Character.UnicodeBlock RUNIC

Constant for the "Runic" Unicode character block.

Since:
  1.4

#### KHMER

    public static final Character.UnicodeBlock KHMER

Constant for the "Khmer" Unicode character block.

Since:
  1.4

#### MONGOLIAN

    public static final Character.UnicodeBlock MONGOLIAN

Constant for the "Mongolian" Unicode character block.

Since:
  1.4

#### BRAILLE_PATTERNS

    public static final Character.UnicodeBlock BRAILLE_PATTERNS

Constant for the "Braille Patterns" Unicode character block.

Since:
  1.4

#### CJK_RADICALS_SUPPLEMENT

    public static final Character.UnicodeBlock CJK_RADICALS_SUPPLEMENT

Constant for the "CJK Radicals Supplement" Unicode character block.

Since:
  1.4

#### KANGXI_RADICALS

    public static final Character.UnicodeBlock KANGXI_RADICALS

Constant for the "Kangxi Radicals" Unicode character block.

Since:
  1.4

#### IDEOGRAPHIC_DESCRIPTION_CHARACTERS

    public static final Character.UnicodeBlock IDEOGRAPHIC_DESCRIPTION_CHARACTERS

Constant for the "Ideographic Description Characters" Unicode character block.

Since:
  1.4

#### BOPOMOFO_EXTENDED

    public static final Character.UnicodeBlock BOPOMOFO_EXTENDED

Constant for the "Bopomofo Extended" Unicode character block.

Since:
  1.4

#### CJK_UNIFIED_IDEOGRAPHS_EXTENSION_A

    public static final Character.UnicodeBlock CJK_UNIFIED_IDEOGRAPHS_EXTENSION_A

Constant for the "CJK Unified Ideographs Extension A" Unicode character block.

Since:
  1.4

#### YI_SYLLABLES

    public static final Character.UnicodeBlock YI_SYLLABLES

Constant for the "Yi Syllables" Unicode character block.

Since:
  1.4

#### YI_RADICALS

    public static final Character.UnicodeBlock YI_RADICALS

Constant for the "Yi Radicals" Unicode character block.

Since:
  1.4

#### CYRILLIC_SUPPLEMENTARY

    public static final Character.UnicodeBlock CYRILLIC_SUPPLEMENTARY

Constant for the "Cyrillic Supplementary" Unicode character block.

Since:
  1.5

#### TAGALOG

    public static final Character.UnicodeBlock TAGALOG

Constant for the "Tagalog" Unicode character block.

Since:
  1.5

#### HANUNOO

    public static final Character.UnicodeBlock HANUNOO

Constant for the "Hanunoo" Unicode character block.

Since:
  1.5

#### BUHID

    public static final Character.UnicodeBlock BUHID

Constant for the "Buhid" Unicode character block.

Since:
  1.5

#### TAGBANWA

    public static final Character.UnicodeBlock TAGBANWA

Constant for the "Tagbanwa" Unicode character block.

Since:
  1.5

#### LIMBU

    public static final Character.UnicodeBlock LIMBU

Constant for the "Limbu" Unicode character block.

Since:
  1.5

#### TAI_LE

    public static final Character.UnicodeBlock TAI_LE

Constant for the "Tai Le" Unicode character block.

Since:
  1.5

#### KHMER_SYMBOLS

    public static final Character.UnicodeBlock KHMER_SYMBOLS

Constant for the "Khmer Symbols" Unicode character block.

Since:
  1.5

#### PHONETIC_EXTENSIONS

    public static final Character.UnicodeBlock PHONETIC_EXTENSIONS

Constant for the "Phonetic Extensions" Unicode character block.

Since:
  1.5

#### MISCELLANEOUS_MATHEMATICAL_SYMBOLS_A

    public static final Character.UnicodeBlock MISCELLANEOUS_MATHEMATICAL_SYMBOLS_A

Constant for the "Miscellaneous Mathematical Symbols-A" Unicode character block.

Since:
  1.5

#### SUPPLEMENTAL_ARROWS_A

    public static final Character.UnicodeBlock SUPPLEMENTAL_ARROWS_A

Constant for the "Supplemental Arrows-A" Unicode character block.

Since:
  1.5

#### SUPPLEMENTAL_ARROWS_B

    public static final Character.UnicodeBlock SUPPLEMENTAL_ARROWS_B

Constant for the "Supplemental Arrows-B" Unicode character block.

Since:
  1.5

#### MISCELLANEOUS_MATHEMATICAL_SYMBOLS_B

    public static final Character.UnicodeBlock MISCELLANEOUS_MATHEMATICAL_SYMBOLS_B

Constant for the "Miscellaneous Mathematical Symbols-B" Unicode character block.

Since:
  1.5

#### SUPPLEMENTAL_MATHEMATICAL_OPERATORS

    public static final Character.UnicodeBlock SUPPLEMENTAL_MATHEMATICAL_OPERATORS

Constant for the "Supplemental Mathematical Operators" Unicode character block.

Since:
  1.5

#### MISCELLANEOUS_SYMBOLS_AND_ARROWS

    public static final Character.UnicodeBlock MISCELLANEOUS_SYMBOLS_AND_ARROWS

Constant for the "Miscellaneous Symbols and Arrows" Unicode character block.

Since:
  1.5

#### KATAKANA_PHONETIC_EXTENSIONS

    public static final Character.UnicodeBlock KATAKANA_PHONETIC_EXTENSIONS

Constant for the "Katakana Phonetic Extensions" Unicode character block.

Since:
  1.5

#### YIJING_HEXAGRAM_SYMBOLS

    public static final Character.UnicodeBlock YIJING_HEXAGRAM_SYMBOLS

Constant for the "Yijing Hexagram Symbols" Unicode character block.

Since:
  1.5

#### VARIATION_SELECTORS

    public static final Character.UnicodeBlock VARIATION_SELECTORS

Constant for the "Variation Selectors" Unicode character block.

Since:
  1.5

#### LINEAR_B_SYLLABARY

    public static final Character.UnicodeBlock LINEAR_B_SYLLABARY

Constant for the "Linear B Syllabary" Unicode character block.

Since:
  1.5

#### LINEAR_B_IDEOGRAMS

    public static final Character.UnicodeBlock LINEAR_B_IDEOGRAMS

Constant for the "Linear B Ideograms" Unicode character block.

Since:
  1.5

#### AEGEAN_NUMBERS

    public static final Character.UnicodeBlock AEGEAN_NUMBERS

Constant for the "Aegean Numbers" Unicode character block.

Since:
  1.5

#### OLD_ITALIC

    public static final Character.UnicodeBlock OLD_ITALIC

Constant for the "Old Italic" Unicode character block.

Since:
  1.5

#### GOTHIC

    public static final Character.UnicodeBlock GOTHIC

Constant for the "Gothic" Unicode character block.

Since:
  1.5

#### UGARITIC

    public static final Character.UnicodeBlock UGARITIC

Constant for the "Ugaritic" Unicode character block.

Since:
  1.5

#### DESERET

    public static final Character.UnicodeBlock DESERET

Constant for the "Deseret" Unicode character block.

Since:
  1.5

#### SHAVIAN

    public static final Character.UnicodeBlock SHAVIAN

Constant for the "Shavian" Unicode character block.

Since:
  1.5

#### OSMANYA

    public static final Character.UnicodeBlock OSMANYA

Constant for the "Osmanya" Unicode character block.

Since:
  1.5

#### CYPRIOT_SYLLABARY

    public static final Character.UnicodeBlock CYPRIOT_SYLLABARY

Constant for the "Cypriot Syllabary" Unicode character block.

Since:
  1.5

#### BYZANTINE_MUSICAL_SYMBOLS

    public static final Character.UnicodeBlock BYZANTINE_MUSICAL_SYMBOLS

Constant for the "Byzantine Musical Symbols" Unicode character block.

Since:
  1.5

#### MUSICAL_SYMBOLS

    public static final Character.UnicodeBlock MUSICAL_SYMBOLS

Constant for the "Musical Symbols" Unicode character block.

Since:
  1.5

#### TAI_XUAN_JING_SYMBOLS

    public static final Character.UnicodeBlock TAI_XUAN_JING_SYMBOLS

Constant for the "Tai Xuan Jing Symbols" Unicode character block.

Since:
  1.5

#### MATHEMATICAL_ALPHANUMERIC_SYMBOLS

    public static final Character.UnicodeBlock MATHEMATICAL_ALPHANUMERIC_SYMBOLS

Constant for the "Mathematical Alphanumeric Symbols" Unicode character block.

Since:
  1.5

#### CJK_UNIFIED_IDEOGRAPHS_EXTENSION_B

    public static final Character.UnicodeBlock CJK_UNIFIED_IDEOGRAPHS_EXTENSION_B

Constant for the "CJK Unified Ideographs Extension B" Unicode character block.

Since:
  1.5

#### CJK_COMPATIBILITY_IDEOGRAPHS_SUPPLEMENT

    public static final Character.UnicodeBlock CJK_COMPATIBILITY_IDEOGRAPHS_SUPPLEMENT

Constant for the "CJK Compatibility Ideographs Supplement" Unicode character block.

Since:
  1.5

#### TAGS

    public static final Character.UnicodeBlock TAGS

Constant for the "Tags" Unicode character block.

Since:
  1.5

#### VARIATION_SELECTORS_SUPPLEMENT

    public static final Character.UnicodeBlock VARIATION_SELECTORS_SUPPLEMENT

Constant for the "Variation Selectors Supplement" Unicode character block.

Since:
  1.5

#### SUPPLEMENTARY_PRIVATE_USE_AREA_A

    public static final Character.UnicodeBlock SUPPLEMENTARY_PRIVATE_USE_AREA_A

Constant for the "Supplementary Private Use Area-A" Unicode character block.

Since:
  1.5

#### SUPPLEMENTARY_PRIVATE_USE_AREA_B

    public static final Character.UnicodeBlock SUPPLEMENTARY_PRIVATE_USE_AREA_B

Constant for the "Supplementary Private Use Area-B" Unicode character block.

Since:
  1.5

#### HIGH_SURROGATES

    public static final Character.UnicodeBlock HIGH_SURROGATES

Constant for the "High Surrogates" Unicode character block. This block represents codepoint values in the high surrogate range: 0xD800 through 0xDB7F

Since:
  1.5

#### HIGH_PRIVATE_USE_SURROGATES

    public static final Character.UnicodeBlock HIGH_PRIVATE_USE_SURROGATES

Constant for the "High Private Use Surrogates" Unicode character block. This block represents codepoint values in the high surrogate range: 0xDB80 through 0xDBFF

Since:
  1.5

#### LOW_SURROGATES

    public static final Character.UnicodeBlock LOW_SURROGATES

Constant for the "Low Surrogates" Unicode character block. This block represents codepoint values in the high surrogate range: 0xDC00 through 0xDFFF

Since:
  1.5

### Method Detail

#### of

    public static Character.UnicodeBlock of(char c)

Returns the object representing the Unicode block containing the given character, or `null` if the character is not a member of a defined block.

Note: This method cannot handle supplementary characters. To support all Unicode characters, including supplementary characters, use the `of(int)` method.

Parameters:
  `c` - The character in question
Returns:
  The `UnicodeBlock` instance representing the Unicode block of which this character is a member, or `null` if the character is not a member of any Unicode block

#### of

    public static Character.UnicodeBlock of(int codePoint)

Returns the object representing the Unicode block containing the given character (Unicode code point), or `null` if the character is not a member of a defined block.

Parameters:
  `codePoint` - the character (Unicode code point) in question.
Returns:
  The `UnicodeBlock` instance representing the Unicode block of which this character is a member, or `null` if the character is not a member of any Unicode block
Throws:
  `IllegalArgumentException` - if the specified `codePoint` is an invalid Unicode code point.
Since:
  1.5
See Also:
  `Character.isValidCodePoint(int)`

#### forName

    public static final Character.UnicodeBlock forName(String blockName)

Returns the UnicodeBlock with the given name. Block names are determined by The Unicode Standard. The file Blocks-<version>.txt defines blocks for a particular version of the standard. The `Character` class specifies the version of the standard that it supports.

This method accepts block names in the following forms:

1. Canonical block names as defined by the Unicode Standard. For example, the standard defines a "Basic Latin" block. Therefore, this method accepts "Basic Latin" as a valid block name. The documentation of each UnicodeBlock provides the canonical name.
2. Canonical block names with all spaces removed. For example, "BasicLatin" is a valid block name for the "Basic Latin" block.
3. The text representation of each constant UnicodeBlock identifier. For example, this method will return the `BASIC_LATIN` block if provided with the "BASIC_LATIN" name. This form replaces all spaces and hyphens in the canonical name with underscores.

Finally, character case is ignored for all of the valid block name forms. For example, "BASIC_LATIN" and "basic_latin" are both valid block names. The en_US locale's case mapping rules are used to provide case-insensitive string comparisons for block name validation.

If the Unicode Standard changes block names, both the previous and current names will be accepted.

Parameters:
  `blockName` - A `UnicodeBlock` name.
Returns:
  The `UnicodeBlock` instance identified by `blockName`
Throws:
  `IllegalArgumentException` - if `blockName` is an invalid name
  `NullPointerException` - if `blockName` is null
Since:
  1.5

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.